PETSc version 3.15.5
Fix/Edit manual page

# DMPlexBuildCoordinatesFromCellListParallel

Build DM coordinates from a list of coordinates for each owned vertex (common mesh generator output)

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmplex.h"
    PetscErrorCode DMPlexBuildCoordinatesFromCellListParallel(DM dm, PetscInt spaceDim, PetscSF sfVert, const PetscReal vertexCoords[])

### Input Parameters

| dm | - The DM
| spaceDim | - The spatial dimension used for coordinates
| sfVert | - SF describing complete vertex ownership
| vertexCoords | - An array of numVertices*spaceDim numbers, the coordinates of each vertex

### Notes

Not currently supported in Fortran.

### See Also

DMPlexBuildCoordinatesFromCellList(), DMPlexCreateFromCellListParallelPetsc(), DMPlexBuildFromCellListParallel()

### Level

advanced

### Location

src/dm/impls/plex/plexcreate.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages